%define upstream_name    Class-DBI-Plugin-Pager
%define upstream_version 0.566

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Paged queries for CDBI
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::DBI) >= 0.900.0
BuildRequires: perl(Class::DBI::Plugin::AbstractCount)
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(Data::Page) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(SQL::Abstract) >= 1.610.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(UNIVERSAL::require)
BuildArch:  noarch

%description
Adds a pager method to your class that can query using SQL::Abstract
where clauses, and limit the number of rows returned to a specific subset.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
#%__make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Class/DBI/Plugin/*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.566.0-2.mga3
+ Revision: 364338
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.566.0-1.mga3
+ Revision: 295413
- update to 0.566

* Mon Jan 24 2011 jquelin <jquelin> 0.561.0-3.mga1
+ Revision: 36860
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.561.0-2.mga1
+ Revision: 34878
- rebuild
- mageia rebuild
- imported package perl-Class-DBI-Plugin-Pager

